Subject: web http (fport_write) broken pipe

From: Aleix Conchillo Flaqué <[email-masked]>
Date: Wed, 16 Jan 2013 09:28:33 -0800

Hi

I keep my blog using Andy's tekuti and I always update to latest
guile. Right now 2.0.7, since last week.

This morning I found out that the blog was not running and this is
what the terminal showed.

Aleix

----

In web/server/http.scm:
    158:6  1 (http-write #<<http-server> socket: #<input-output: so…> …)
In unknown file:
           0 (put-bytevector #<input-output: socket 11> #vu8(60 # …) …)
ERROR: In procedure fport_write: Broken pipe

[some more of the same with different socket numbers]

In web/server/http.scm:
    158:6  1 (http-write #<<http-server> socket: #<input-output: so…> …)
In unknown file:
           0 (put-bytevector #<input-output: socket 20> #vu8(60 # …) …)
ERROR: In procedure fport_write: Broken pipe

;;; ((p "Incomplete post data:" "x"))
Killed